Enable VisualEditor by default for all users of some "easier" phase 6 Wikipedias
Closed, ResolvedPublic8 Story Points

Description

As far as I know, VE is supposed to be enabled by default to all users including anons in most Wikipedias, except English and a small number of others where there's no community consensus or issues with typing the alphabet.

Typing doesn't seem to be an issue with the alphabet that is used for Amharic (am) and Tigrinya (ti). I just tested it with the default keyboard layout on Windows 8 and it worked perfectly. But VE is not enabled in Amharic and Tigrinya Wikipedias.

Per T93387#1757164:

  • all types of Latin (bug, cdo, cr, gv, hak, sh, za, zh-min-nan)
  • <s>Cherokee (chr)</s>
  • Georgian (ka, xmf)
  • Armenian (hy)
  • Greek (pnt)
  • Ge'ez (am, ti; T116523)
amAmharicGe'ez
bugBugineseLatin, Lontara
cdoMin DongLatin
crCreeLatin, Syllabics
gvManxLatin
hakHakkaLatin
hyArmenianArmenian
kaGeorgianGeorgian
pntPonticGreek
shSerbo-CroatianLatin
tiTigrinyaGe'ez
xmfMingrelianGeorgian
zaZhuangLatin
zh-min-nanMin NanLatin

I believe that it should be work there by default.

EDIT: this group was dubbed "Phase 6.1" a while ago.
It actually doesn't include Cherokee, which was included in a different group in another task. Although the wiki may be small and there may be no technical blockers to deploy there, there was no active communication locally of an upcoming deployment, so that's postponed.

Amire80 created this task.Oct 25 2015, 8:38 AM
Amire80 updated the task description. (Show Details)
Amire80 raised the priority of this task from to Normal.
Amire80 added a project: VisualEditor.
Amire80 added subscribers: Amire80, Lester, dchan, Jdforrester-WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2015, 8:38 AM
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 26 2015, 3:54 PM
Jdforrester-WMF renamed this task from Make VisualEditor work by default in the Amharic and Tigrinya projects to Make VisualEditor work by default in some "easier" phase 6 Wikipedias.Dec 2 2015, 2:08 AM
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF edited a custom field.
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptDec 31 2015, 10:34 AM

It looks like both cdowiki and hakwiki also have contents in hani?

It looks like both cdowiki and hakwiki also have contents in hani?

True, but that shouldn't be an issue.

Change 264765 had a related patch set uploaded (by Jforrester):
Enable VisualEditor by default for some other wikis

https://gerrit.wikimedia.org/r/264765

Elitre updated the task description. (Show Details)Jan 29 2016, 2:11 PM
Elitre updated the task description. (Show Details)Jan 29 2016, 5:54 PM

Change 264765 merged by jenkins-bot:
Enable VisualEditor by default for some other wikis

https://gerrit.wikimedia.org/r/264765

Jdforrester-WMF closed this task as Resolved.Feb 1 2016, 4:23 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF renamed this task from Make VisualEditor work by default in some "easier" phase 6 Wikipedias to Enable VisualEditor by default for all users of some "easier" phase 6 Wikipedias.Aug 10 2016, 4:45 PM